Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.dtd
Class NMTOKENDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.dtd.NMTOKENDatatypeValidator

All Implemented Interfaces:
  DatatypeValidator

Direct Known Subclasses:
  XML11NMTOKENDatatypeValidator

public class NMTOKENDatatypeValidator
extends java.lang.Object
implements DatatypeValidator

NMTOKEN datatype validator.

Version:
  $Id: NMTOKENDatatypeValidator.java,v 1.4 2002/07/18 20:48:43 sandygao Exp $
Author:
  Jeffrey Rodriguez, IBM, Sandy Gao, IBM

Constructor Summary
`NMTOKENDatatypeValidator()`

Method Summary
`void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid NMTOKEN value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NMTOKENDatatypeValidator

    public NMTOKENDatatypeValidator()

Method Detail

### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

  Checks that "content" string is valid NMTOKEN value. If invalid a Datatype validation exception is thrown.
  Specified by:
    `validate` in interface `DatatypeValidator`
  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context
  Throws:
    `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
  See Also:
    `InvalidDatatypeValueException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.